Package jxl.format

# Class Colour

java.lang.Object
jxl.format.Colour

Direct Known Subclasses:
  `Colour`

public class Colour extends Object
Enumeration class which contains the various colours available within the standard Excel colour palette

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Colour`
`AQUA`
`static final Colour`
`AUTOMATIC`
`static final Colour`
`BLACK`
`static final Colour`
`BLUE`
`static final Colour`
`BLUE_GREY`
`static final Colour`
`BLUE2`
`static final Colour`
`BRIGHT_GREEN`
`static final Colour`
`BROWN`
`static final Colour`
`CORAL`
`static final Colour`
`DARK_BLUE`
`static final Colour`
`DARK_BLUE2`
`static final Colour`
`DARK_GREEN`
`static final Colour`
`DARK_PURPLE`
`static final Colour`
`DARK_RED`
`static final Colour`
`DARK_RED2`
`static final Colour`
`DARK_TEAL`
`static final Colour`
`DARK_YELLOW`
`static final Colour`
`DEFAULT_BACKGROUND`
`static final Colour`
`DEFAULT_BACKGROUND1`
`static final Colour`
`GOLD`
`static final Colour`
`GRAY_25`
`static final Colour`
`GRAY_50`
`static final Colour`
`GRAY_80`
`static final Colour`
`GREEN`
`static final Colour`
`GREY_25_PERCENT`
`static final Colour`
`GREY_40_PERCENT`
`static final Colour`
`GREY_50_PERCENT`
`static final Colour`
`GREY_80_PERCENT`
`static final Colour`
`ICE_BLUE`
`static final Colour`
`INDIGO`
`static final Colour`
`IVORY`
`static final Colour`
`LAVENDER`
`static final Colour`
`LIGHT_BLUE`
`static final Colour`
`LIGHT_GREEN`
`static final Colour`
`LIGHT_ORANGE`
`static final Colour`
`LIGHT_TURQUOISE`
`static final Colour`
`LIGHT_TURQUOISE2`
`static final Colour`
`LIME`
`static final Colour`
`OCEAN_BLUE`
`static final Colour`
`OLIVE_GREEN`
`static final Colour`
`ORANGE`
`static final Colour`
`PALE_BLUE`
`static final Colour`
`PALETTE_BLACK`
`static final Colour`
`PERIWINKLE`
`static final Colour`
`PINK`
`static final Colour`
`PINK2`
`static final Colour`
`PLUM`
`static final Colour`
`PLUM2`
`static final Colour`
`RED`
`static final Colour`
`ROSE`
`static final Colour`
`SEA_GREEN`
`static final Colour`
`SKY_BLUE`
`static final Colour`
`TAN`
`static final Colour`
`TEAL`
`static final Colour`
`TEAL2`
`static final Colour`
`TURQOISE2`
`static final Colour`
`TURQUOISE`
`static final Colour`
`UNKNOWN`
`static final Colour`
`VERY_LIGHT_YELLOW`
`static final Colour`
`VIOLET`
`static final Colour`
`VIOLET2`
`static final Colour`
`WHITE`
`static final Colour`
`YELLOW`
`static final Colour`
`YELLOW2`

## Method Summary

Modifier and Type
Method
Description
`static Colour[]`
`getAllColours()`
Returns all available colours - used when generating the default palette
`int`
`getDefaultBlue()`
Deprecated.
use getDefaultRGB instead
`int`
`getDefaultGreen()`
Deprecated.
use getDefaultRGB instead
`int`
`getDefaultRed()`
Deprecated.
use getDefaultRGB instead
`RGB`
`getDefaultRGB()`
Returns the default RGB of the colour
`String`
`getDescription()`
Gets the string description for display purposes
`static Colour`
`getInternalColour(int val)`
Gets the internal colour from the value
`int`
`getValue()`
Gets the value of this colour.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNKNOWN

public static final Colour UNKNOWN

### BLACK

public static final Colour BLACK

### WHITE

public static final Colour WHITE

### DEFAULT_BACKGROUND1

public static final Colour DEFAULT_BACKGROUND1

### DEFAULT_BACKGROUND

public static final Colour DEFAULT_BACKGROUND

### PALETTE_BLACK

public static final Colour PALETTE_BLACK

### RED

public static final Colour RED

### BRIGHT_GREEN

public static final Colour BRIGHT_GREEN

### BLUE

public static final Colour BLUE

### YELLOW

public static final Colour YELLOW

### PINK

public static final Colour PINK

### TURQUOISE

public static final Colour TURQUOISE

### DARK_RED

public static final Colour DARK_RED

### GREEN

public static final Colour GREEN

### DARK_BLUE

public static final Colour DARK_BLUE

### DARK_YELLOW

public static final Colour DARK_YELLOW

### VIOLET

public static final Colour VIOLET

### TEAL

public static final Colour TEAL

### GREY_25_PERCENT

public static final Colour GREY_25_PERCENT

### GREY_50_PERCENT

public static final Colour GREY_50_PERCENT

### PERIWINKLE

public static final Colour PERIWINKLE

### PLUM2

public static final Colour PLUM2

### IVORY

public static final Colour IVORY

### LIGHT_TURQUOISE2

public static final Colour LIGHT_TURQUOISE2

### DARK_PURPLE

public static final Colour DARK_PURPLE

### CORAL

public static final Colour CORAL

### OCEAN_BLUE

public static final Colour OCEAN_BLUE

### ICE_BLUE

public static final Colour ICE_BLUE

### DARK_BLUE2

public static final Colour DARK_BLUE2

### PINK2

public static final Colour PINK2

### YELLOW2

public static final Colour YELLOW2

### TURQOISE2

public static final Colour TURQOISE2

### VIOLET2

public static final Colour VIOLET2

### DARK_RED2

public static final Colour DARK_RED2

### TEAL2

public static final Colour TEAL2

### BLUE2

public static final Colour BLUE2

### SKY_BLUE

public static final Colour SKY_BLUE

### LIGHT_TURQUOISE

public static final Colour LIGHT_TURQUOISE

### LIGHT_GREEN

public static final Colour LIGHT_GREEN

### VERY_LIGHT_YELLOW

public static final Colour VERY_LIGHT_YELLOW

### PALE_BLUE

public static final Colour PALE_BLUE

### ROSE

public static final Colour ROSE

### LAVENDER

public static final Colour LAVENDER

### TAN

public static final Colour TAN

### LIGHT_BLUE

public static final Colour LIGHT_BLUE

### AQUA

public static final Colour AQUA

### LIME

public static final Colour LIME

### GOLD

public static final Colour GOLD

### LIGHT_ORANGE

public static final Colour LIGHT_ORANGE

### ORANGE

public static final Colour ORANGE

### BLUE_GREY

public static final Colour BLUE_GREY

### GREY_40_PERCENT

public static final Colour GREY_40_PERCENT

### DARK_TEAL

public static final Colour DARK_TEAL

### SEA_GREEN

public static final Colour SEA_GREEN

### DARK_GREEN

public static final Colour DARK_GREEN

### OLIVE_GREEN

public static final Colour OLIVE_GREEN

### BROWN

public static final Colour BROWN

### PLUM

public static final Colour PLUM

### INDIGO

public static final Colour INDIGO

### GREY_80_PERCENT

public static final Colour GREY_80_PERCENT

### AUTOMATIC

public static final Colour AUTOMATIC

### GRAY_80

public static final Colour GRAY_80

### GRAY_50

public static final Colour GRAY_50

### GRAY_25

public static final Colour GRAY_25

## Method Details

### getValue

public int getValue()
Gets the value of this colour. This is the value that is written to the generated Excel file

Returns:
  the binary value

### getDescription

public String getDescription()
Gets the string description for display purposes

Returns:
  the string description

### getDefaultRed

public int getDefaultRed()
Deprecated.
use getDefaultRGB instead
Gets the default red content of this colour. Used when writing the default colour palette

Returns:
  the red content of this colour

### getDefaultGreen

public int getDefaultGreen()
Deprecated.
use getDefaultRGB instead
Gets the default green content of this colour. Used when writing the default colour palette

Returns:
  the green content of this colour

### getDefaultBlue

public int getDefaultBlue()
Deprecated.
use getDefaultRGB instead
Gets the default blue content of this colour. Used when writing the default colour palette

Returns:
  the blue content of this colour

### getDefaultRGB

public RGB getDefaultRGB()
Returns the default RGB of the colour

Returns:
  the default RGB

### getInternalColour

public static Colour getInternalColour(int val)
Gets the internal colour from the value

Parameters:
  `val` -
Returns:
  the colour with that value

### getAllColours

public static Colour[] getAllColours()
Returns all available colours - used when generating the default palette

Returns:
  all available colours